JmolNMRInterface
Date: 2019-10-22

org.jmol.api

## Interface JmolNMRInterface

- All Known Implementing Classes:
    NMRCalculation

      public interface JmolNMRInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getChemicalShift(Atom atom)` If shift reference has not been set, it defaults to 0 and just displays the negative of magnetic shielding
    `float` | `getDipolarConstantHz(Atom a1, Atom a2)`
    `float` | `getDipolarCouplingHz(Atom a1, Atom a2, javajs.util.V3 vField)`
    `java.lang.Object` | `getInfo(java.lang.String sym)`
    `float` | `getIsoOrAnisoHz(boolean isIso, Atom a1, Atom a2, java.lang.String type, Tensor t)` If t is null, then a1, a2, and type are used to find the appropriate tensor.
    `float` | `getMagneticShielding(Atom atom)`
    `java.util.Map<java.lang.String,java.lang.Integer>` | `getMinDistances(MeasurementData md)`
    `float` | `getQuadrupolarConstant(Tensor efg)` Quadrupolar constant, directly proportional to Vzz and dependent on the quadrupolar moment of the isotope considered
    `boolean` | `getState(javajs.util.SB sb)`
    `javajs.util.Lst<java.lang.Object>` | `getTensorInfo(java.lang.String tensorType, java.lang.String infoType, javajs.util.BS bs)`
    `javajs.util.BS` | `getUniqueTensorSet(javajs.util.BS bs)` An attempt to find unique atoms using tensors.
    `boolean` | `setChemicalShiftReference(java.lang.String element, float value)`
    `JmolNMRInterface` | `setViewer(Viewer vwr)`

- - ### Method Detail

    - #### setViewer

          JmolNMRInterface setViewer(Viewer vwr)

    - #### getQuadrupolarConstant

          float getQuadrupolarConstant(Tensor efg)

      Quadrupolar constant, directly proportional to Vzz and dependent on the quadrupolar moment of the isotope considered
      Parameters:
        `efg` -
      Returns:
        float value

    - #### getIsoOrAnisoHz

          float getIsoOrAnisoHz(boolean isIso,
                                Atom a1,
                                Atom a2,
                                java.lang.String type,
                                Tensor t)

      If t is null, then a1, a2, and type are used to find the appropriate tensor.
      Parameters:
        `isIso` -
        `a1` -
        `a2` -
        `type` -
        `t` -
      Returns:
        0 if not found

    - #### getDipolarConstantHz

          float getDipolarConstantHz(Atom a1,
                                     Atom a2)

      Parameters:
        `a1` -
        `a2` -
      Returns:
        desired constant

    - #### getDipolarCouplingHz

          float getDipolarCouplingHz(Atom a1,
                                     Atom a2,
                                     javajs.util.V3 vField)

      Parameters:
        `a1` -
        `a2` -
        `vField` -
      Returns:
        projected value

    - #### getUniqueTensorSet

          javajs.util.BS getUniqueTensorSet(javajs.util.BS bs)

      An attempt to find unique atoms using tensors.
      Parameters:
        `bs` -
      Returns:
        bitset of atoms

    - #### getInfo

          java.lang.Object getInfo(java.lang.String sym)

      Parameters:
        `sym` - "C" or "14C" or "all"
      Returns:
        list of double[isotopeNumber,g,Q] if no isotope number is given, or a single double[] if it does.

    - #### getMagneticShielding

          float getMagneticShielding(Atom atom)

    - #### getChemicalShift

          float getChemicalShift(Atom atom)

      If shift reference has not been set, it defaults to 0 and just displays the negative of magnetic shielding
      Parameters:
        `atom` -
      Returns:
        value

    - #### setChemicalShiftReference

          boolean setChemicalShiftReference(java.lang.String element,
                                            float value)

    - #### getTensorInfo

          javajs.util.Lst<java.lang.Object> getTensorInfo(java.lang.String tensorType,
                                                          java.lang.String infoType,
                                                          javajs.util.BS bs)

    - #### getMinDistances

          java.util.Map<java.lang.String,java.lang.Integer> getMinDistances(MeasurementData md)

    - #### getState

          boolean getState(javajs.util.SB sb)